package com.inspect.partrolresultAux.mapper;

import com.inspect.partrolresultAux.domain.PatrolResultAux;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PatrolResultAuxMapper {
    PatrolResultAux selectPatrolResultAuxByLineId(Long lineId);

    List<PatrolResultAux> selectPatrolResultAuxList(PatrolResultAux patrolResultAux);

    List<PatrolResultAux> selectPatrolResultAuxListByMainId(PatrolResultAux patrolResultAux);

    List<PatrolResultAux> selectPatrolResultAuxListByMainIds(@Param("mainIds") List<Long> mainIds);

    int insertPatrolResultAux(PatrolResultAux patrolResultAux);

    int updatePatrolResultAux(PatrolResultAux patrolResultAux);

    int deletePatrolResultAuxByLineId(Long lineId);

    int deletePatrolResultAuxByLineIds(Long[] lineIds);
}
